{% if variant and variant|lower != "medium" %}
  {% set attributes = attributes|add_class("usa-footer--" ~ variant) %}
{% endif %}
<footer {{ attributes|add_class("usa-footer") |set_attribute("role", "contentinfo") }}>
  {% if back_to_top_text %}
    <div class="grid-container usa-footer__return-to-top">
      <a href="#">{{ back_to_top_text|default("Return to top") }}</a>
    </div>
  {% endif %}
  {% if nav_footer %}
    <div class="usa-footer__primary-section">
      {% if variant == "slim" %}
        <div class="usa-footer__primary-container grid-row">
          <div class="grid-col-auto">{{ nav_footer }}</div>
        </div>
      {% elif variant == "medium" %}
        {{ nav_footer }}
      {% else %}
        <div class="grid-container">
          <div class="grid-row grid-gap">
            {% if sign_up_block %}
              <div class="tablet:grid-col-8">{{ nav_footer }}</div>
              <div class="tablet:grid-col-4">{{ sign_up_block }}</div>
            {% else %}
              <div class="grid-col">{{ nav_footer }}</div>
            {% endif %}
          </div>
        </div>
      {% endif %}
    </div>
  {% endif %}
  <div class="usa-footer__secondary-section">
    <div class="grid-container">
      <div class="grid-row grid-gap">
        <div class="usa-footer__logo grid-row mobile-lg:grid-col-6 mobile-lg:grid-gap-2">
          {% if agency_logo %}
            <div class="mobile-lg:grid-col-auto">
              {% if agency_url %}
                <a href="{{ agency_url }}">
                  <img class="usa-footer__logo-img"
                       src="{{ agency_logo }}"
                       alt="{{ "Agency logo"|t }}">
                </a>
              {% else %}
                <img class="usa-footer__logo-img"
                     src="{{ agency_logo }}"
                     alt="{{ "Agency logo"|t }}">
              {% endif %}
            </div>
          {% endif %}
          {% if agency_name and variant != "slim" %}<div class="mobile-lg:grid-col-auto">{{ agency_name }}</div>{% endif %}
        </div>
        {% if variant != "slim" %}
          <div class="usa-footer__contact-links desktop:grid-col-6">
            {% if social_links %}
              {{ {"@component": "social_links_group", "attributes": {"class": ["usa-footer__social-links", "grid-gap-1"]}, "items": social_links} }}
            {% endif %}
            {% if agency_contact_center %}<h3 class="usa-footer__contact-heading">{{ agency_contact_center }}</h3>{% endif %}
            <address class="usa-footer__address">
              <div class="usa-footer__contact-info grid-row grid-gap">
                {% if agency_phone %}
                  <div class="grid-col-auto">
                    <a href="tel:{{ agency_phone }}">{{ agency_phone }}</a>
                  </div>
                {% endif %}
                {% if agency_email %}
                  <div class="grid-col-auto">
                    <a href="mailto:{{ agency_email }}">{{ agency_email }}</a>
                  </div>
                {% endif %}
              </div>
            </address>
          </div>
        {% endif %}
        {% if variant == "slim" %}
          <div class="usa-footer__contact-links desktop:grid-col-6">
            {% if agency_contact_center %}<h3 class="usa-footer__contact-heading">{{ agency_contact_center }}</h3>{% endif %}
          </div>
        {% endif %}
      </div>
      {% if footer_bottom %}
        <div class="grid-row grid-gap">
          <div class="grid-col-fill">{{ footer_bottom }}</div>
        </div>
      {% endif %}
    </div>
  </div>
</footer>
